	SUBROUTINE WRITE_GRIDS (gdattim, grid, prob1, prob2, prob3, 
     +				slr, ix, iy, iret)

	INCLUDE         'GEMPRM.PRM'
        INCLUDE         'GMBDTA.CMN'

C	character*(*)   gdattim
        character*15 gdattim        
        character*15 gdattm(2), parm*4, file*72
	real grid(*), prob1(*), prob2(*), prob3(*), slr(*)
	logical wrtfg /.true./
	real rnvblk (LLNNAV), anlblk (LLNANL)
	integer iacss, mxgrd, level(2), ivcord, iret, ix, iy, 
     +          ighdr(LLGDHD)

	call IN_BDTA(iret)
	call gd_init(iret)

        write(*,*) "write_data"
        write(*,*) "gdattim = ", gdattim
C       INITIALIZE IGHDR

	DO ii = 1, LLGDHD
            ighdr ( ii ) = 0
        END DO

	file = "tempoutput.grd"

	CALL GD_OPEN  (file, wrtfg, LLNANL, LLNNAV, iacss, anlblk,
     +          rnvblk, mxgrd, ier)

        if (iret .ne. 0) then
           write(*,*) 'Unable to Open Grid File, IRET = ', iret
	endif

	parm = "S03I"
	gdattm(1) = "000101/0000"
	gdattm(2) = ' '
	level(1) = 0
	level(2) = -1
	ivcord = 0
        write(*,*) gdattim
        write(*,*) gdattm(1)
        write(*,*) grid(100)
	call GD_WDAT ( IACSS, grid, IX, IY, IGHDR, GDATTM, LEVEL, 
     +			IVCORD, PARM, wrtfg, IRET )

	if ( iret .ne. 0 ) then
           write(*,*) 'Unable to Write to Grid File, IRET = ', iret
        endif

	parm = "HPRB"

	call GD_WDAT ( IACSS, prob1, IX, IY, IGHDR, GDATTM, LEVEL, 
     +			IVCORD, PARM, wrtfg, IRET )

        if ( iret .ne. 0 ) then
           write(*,*) 'Unable to Write to Grid File, IRET = ', iret
        endif

	parm = "MPRB"

        call GD_WDAT ( IACSS, prob2, IX, IY, IGHDR, GDATTM, LEVEL, 
     +		IVCORD, PARM, wrtfg, IRET )

        if ( iret .ne. 0 ) then
           write(*,*) 'Unable to Write to Grid File, IRET = ', iret
        endif

	parm = "LPRB"

        call GD_WDAT ( IACSS, prob3, IX, IY, IGHDR, GDATTM, LEVEL, 
     +		IVCORD, PARM, wrtfg, IRET )

        if ( iret .ne. 0 ) then
           write(*,*) 'Unable to Write to Grid File, IRET = ', iret
        endif

	parm = "SLR"
C        do j = 1, iy, 1
C            do i = 1, ix, 1
C                k = i + (ix*(j-1))
C                write(*,*) "slr = ", slr(k), i, j, k
C            enddo
C        enddo
        call GD_WDAT ( IACSS, slr, IX, IY, IGHDR, GDATTM, LEVEL,
     +          IVCORD, PARM, wrtfg, IRET )

        if ( iret .ne. 0 ) then
           write(*,*) 'Unable to Write to Grid File, IRET = ', iret
        endif

	CALL GD_CLOS (iacss, iret)

	RETURN
	END

